%define prefix /usr
%define name	xcfa
%define version 5.0.2
%define release %mkrel 1
%define url	http://download.tuxfamily.org/xcfaudio/xcfa_download/src/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Source1:	xcfa.desktop
Summary:	X Convert File Audio
Summary(de):	X Audiodateien Konvertierer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}taglib-devel
BuildRequires:	%{_lib}curl4-devel 
BuildRequires:	%{_lib}vte-devel
BuildRequires:	%{_lib}gtk+3.0-devel
Requires:	a52dec
Requires:	cd-discid
Requires:	cdrkit-icedax
Requires:	cdparanoia
Requires:   checkmp3
Requires:	dvd+rw-tools
Requires:	faac
Requires:	faad2
Requires:	lame
Requires:	libaacplus-tools
Requires:	lsdvd
Requires:	mac
Requires:	mp3gain
Requires:	normalize
Requires:	perl-HTML-TextToHTML
Requires:	shorten
Requires:	shntool
Requires:	sox
Requires:	vorbis-tools
Requires:	vorbisgain
Requires:	wavpack
Obsoletes:	%name < %version

%description
XCFA is oofers an extraction tool for Audio-CD and musical file conversion
to flac, wav, mp3, ogg, m4a, mpc, ape, wavpack formats. Decompression of wma
and shorten formats to flac, wav, mp3, ogg, m4a, mpc, ape, and wavpack.

#german
%description -l de
XCFA ist ein offenes Extraktionswerkzeug für Audio-CD und Audio Dateikonvertierung
FLAC, WAV, MP3, OGG, M4A, MPC, APE und Wavpack Formate. Dekompression von WMA und
den Formate FLAC, WAV, MP3, OGG, M4A, MPC, APE, und Wavpack.

%package cli
Summary:		X Convert File Audio cli
Summary(de):	X Audiodateien Konvertierer cli
Group:		Sound
Requires:	a52dec
Requires:	cd-discid
Requires:	cdrkit-icedax
Requires:	cdparanoia
Requires:   checkmp3
Requires:	dvd+rw-tools
Requires:	faac
Requires:	faad2
Requires:	lame
Requires:	libaacplus-tools
Requires:	lsdvd
Requires:	mac
Requires:	mp3gain
Requires:	normalize
Requires:	perl-HTML-TextToHTML
Requires:	shorten
Requires:	shntool
Requires:	sox
Requires:	vorbis-tools
Requires:	vorbisgain
Requires:	wavpack
Obsoletes:	%{name}-cli < %version

%description cli
XCFA_CLI is oofers an extraction tool for Audio-CD and musical file conversion
to flac, wav, mp3, ogg, m4a, mpc, ape, wavpack formats. Decompression of wma
and shorten formats to flac, wav, mp3, ogg, m4a, mpc, ape, and wavpack.

#german
%description cli -l de
XCFA_CLI ist ein offenes Extraktionswerkzeug für Audio-CD und Audio Dateikonvertierung
FLAC, WAV, MP3, OGG, M4A, MPC, APE und Wavpack Formate. Dekompression von WMA und
den Formate FLAC, WAV, MP3, OGG, M4A, MPC, APE, und Wavpack.

%prep

%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

cd src
  strip --remove-section=.comment --remove-section=.note ./xcfa

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 
# menu
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 desktop/xcfa.png  $RPM_BUILD_ROOT%{_datadir}/pixmaps/xcfa.png

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/man/man1/%{name}.*
%{_datadir}/%{name}/glade/%{name}.glade
%{_datadir}/%{name}/glade/%{name}_win_*.glade
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/pixmaps/%{name}-cd.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm

%files cli
%defattr(-,root,root,-)
%{_bindir}/%{name}_cli
%{_datadir}/man/man1/%{name}_cli.*
%{_datadir}/locale/*/LC_MESSAGES/%{name}_cli.mo


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Apr 07 2020 daniel <meisssw01 at gmail.com> 5.0.2-1pclos2020
- 5.0.2 based now on gtk3
- add Requires tools so far
- split xcfa_cli in a own package

* Mon Jan 04 2016 bb <bb> 4.3.8-1pclos2016
- update

* Fri Nov 16 2012 daniel <meisssw01 at gmail.com> 4.3.1-2leiche2012
- fix icon display in menu
 
* Sun Oct 28 2012 daniel <meisssw01 at gmail.com> 4.3.1-1leiche2012
- upstream tarball
